/*! \file Constants.h
    \brief Often used physical constants.
*/

#ifndef __Constants_h
#define __Constants_h

#define CH 6.62607015E-34   /* Planck constant */
#define KB 1.380649E-23     /* Boltzmann constant */
#define CL 2.99792458E8     /* Speed of light */
#define ME 9.1093837E-31    /* Electron mass, kg */
#define EV 1.602176634E-19  /* Electronvolt, in Joules */
#define ST 6.65245E-29      /* Thomson scattering cross section */
#define JY 1E26             /* SI to Jansky */
#define DBL_EPSILON 2.220446E-16 /* Double precision machine epsilon */
#define TCMB 2.726          /* CMB temperature */
#define PI 3.14159265359 /* Pi. */

#endif
